#include <bits/stdc++.h>
using namespace std;
int main()
{
    int t;
    scanf("%i",&t);
    while(t--)
    {
        int n;
        scanf("%i",&n);
        int a[n+1],b[n+1];
        map<int,int>mapa1;
        map<int,int>mapa2;
        for(int i=1;i<=n;i++)
        {
            scanf("%i",&a[i]);
            mapa1[abs(a[i])]++;
        }
        for(int i=1;i<=n;i++)
        {
            scanf("%i",&b[i]);
            mapa2[abs(b[i])]++;
        }
        int res=1;
        for(int i=1;i<=n;i++)
        {
            if(mapa1[abs(a[i])]!=mapa2[abs(b[i])])
            {
                res=0;
            }
            //if(a[i]<0) mapa1[abs(a[i])]--;
            //if(b[i]<0) mapa1[abs(b[i])]--;
        }
        /*for(int i=1;i<=n;i++)
        {
            if((mapa1[abs(a[i])]-mapa2[abs(b[i])])%2==1)
            {
                res=0;
            }
        }*/
        if(res==0)
        {
            printf("NE\n");
            continue;
        }
        map<int,int>mapa3;
        map<int,int>mapa4;
        for(int i=1;i<=n;i++)
        {
            mapa3[abs(a[i])]=i;
            mapa4[abs(b[i])]=i;
        }
        for(int i=1;i<=n;i++)
        {
            int temp=(mapa3[abs(a[i])]-mapa4[abs(a[i])])%2;
            if(temp==1 && a[i]==b[mapa4[abs(a[i])]])
            {
                res=0;
            }
            if(temp==0 && a[i]!=b[mapa4[abs(a[i])]])
            {
                res=0;
            }
        }
        if(res==0)
        {
            printf("NE\n");
            continue;
        }
        printf("DA\n");
    }
    return 0;
}